#!/bin/bash
# Copyright (C) 2005-2006  Simonic Mihael
# Licence: GNU General Public License 2.0

DISTRO="Unknown Distro"
test -r "/etc/slackware-version" &&\
        DISTRO="$(echo -n "Slackware Linux")"
test -r "/etc/debian_version" && DISTRO=`cat /etc/debian_version`
test -r "/etc/gentoo-release" && \
        DISTRO="$(echo -n "Gentoo Linux "; \
                  ls --color=no -l /etc/make.profile | \
                  grep --color=no -Po '2[0-9]{3}.[0-9]')"
test -r "/etc/redhat-release" && \
        DISTRO="$(echo -n "Redhat Linux")"
test -r "/etc/fedora-release" && DISTRO=`cat /etc/fedora-release`
test -r "/etc/SuSE-release" && \
        DISTRO="$(echo -n "SuSE Linux")"
test -r "/etc/mandrakelinux-release" && \
        DISTRO="$(echo -n "Mandriva Linux")"
test -r "/etc/mandriva-release" && \
        DISTRO="$(echo -n "Mandriva Linux")"
test -r "/etc/kanotix-version" && \
        DISTRO="$(echo -n "Kanotix Linux")"

echo "$DISTRO"